## rswipl 9.1.4

=== DESCRIPTION ===
Package: rswipl
Type: Package
Title: Embed 'SWI'-'Prolog'
Version: 9.1.4
Date: 2023-01-27
Authors@R: c(person("Matthias", "Gondan", role = c("aut", "com", "cre"), email = "Matthias.Gondan-Rochon@uibk.ac.at", comment = "Universität Innsbruck"),
  person("Jan", "Wielemaker", role = c("ctb", "cph"), email = "jan@swi-prolog.org", comment = "JW is the lead developer of SWI-Prolog. See https://www.swi-prolog.org/Contributors.html for a list of contributors."))
Maintainer: Matthias Gondan <Matthias.Gondan-Rochon@uibk.ac.at>
Description: Interface to 'SWI'-'Prolog', <https://www.swi-prolog.org/>. This package is normally not loaded directly, please refer to package 'rolog' instead. The purpose of this package is to provide the 'Prolog' runtime on systems that do not have a software installation of 'SWI'-'Prolog'.
License: FreeBSD
Imports: Rcpp (>= 1.0.7)
Depends: R (>= 4.2)
URL: https://github.com/mgondan/rswipl
BugReports: https://github.com/mgondan/rswipl/issues
LinkingTo: Rcpp
RoxygenNote: 7.2.1
Encoding: UTF-8
SystemRequirements: GNU make, CMake (>= 3.10), pandoc, libarchive,
        libregex, libexpat, liblzma, libzstd, liblz4, libz2, libz,
        libbcrypt
Suggests: testthat (>= 3.0.0)
Config/testthat/edition: 3
NeedsCompilation: yes
Packaged: 2023-01-27 19:39:07 UTC; gondan
Author: Matthias Gondan [aut, com, cre] (Universität Innsbruck),
  Jan Wielemaker [ctb, cph] (JW is the lead developer of SWI-Prolog. See
    https://www.swi-prolog.org/Contributors.html for a list of
    contributors.)
Repository: CRAN
Date/Publication: 2023-01-27 22:10:02 UTC

=== src/swipl-devel/src/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(swipl)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/../cmake")

include(Version)
include(Utils)
include(CStack)
include(LibIndex)

include(CheckIncludeFile)
include(CheckLibraryExists)
include(CheckFunctionExists)
include(CheckSymbolExists)
include(CheckTypeSize)
include(AlignOf)
include(CheckStructHasMember)
include(CheckCCompilerFlag)
include(CheckCSourceRuns)
include(Dependencies)
include(Config)
include(GCCBuiltins)
include(TestSignalType)
include(TestSCNProcessors)
include(TestHeaderTime)
include(TestLLRound)
include(TestModF)

# FIXME: Is this still needed?
if(CMAKE_C_COMPILER_ID STREQUAL "GNU")
  add_compile_options(-fno-strict-aliasing)
endif()

# Source locations
get_filename_component(SWIPL_ROOT "${CMAKE_CURRENT_SOURCE_DIR}/.." ABSOLUTE)
set(SWIPL_LIBRARY_ROOT ${SWIPL_ROOT}/library)
set(SWIPL_BOOT_ROOT ${SWIPL_ROOT}/boot)

# Tools (swipl-ld)
string(REPLACE "." "" SO_EXT ${CMAKE_SHARED_MODULE_SUFFIX})

# Installation
include(Install)

################
# C files
################

set(SRC_OS pl-buffer.c pl-ctype.c pl-file.c pl-files.c pl-glob.c pl-os.c
    pl-stream.c pl-string.c pl-table.c pl-text.c pl-utf8.c pl-fmt.c
    pl-dtoa.c pl-option.c pl-cstack.c pl-codelist.c pl-prologflag.c pl-tai.c
    pl-locale.c)
if(APPLE)
  list(APPEND SRC_OS pl-apple.c)
elseif(BEOS)
  list(APPEND SRC_OS pl-beos.c)
endif()
prepend(SRC_OS os/ ${SRC_OS})


set(SRC_TAI caltime_utc.c caltime_tai.c leapsecs_sub.c leapsecs_add.c
    caldate_fmjd.c caldate_mjd.c leapsecs_init.c leapsecs_read.c tai_pack.c
    tai_unpack.c)
prepend(SRC_TAI libtai/ ${SRC_TAI})

if(USE_LIBBF)
  set(SRC_BF pl-bf.c libbf/bf_gmp.c libbf/libbf.c libbf/cutils.c
      libbf/mersenne-twister.c)
endif()

set(SRC_MINIZIP zip.c unzip.c ioapi.c)
prepend(SRC_MINIZIP minizip/ ${SRC_MINIZIP})

set(SRC_CORE pl-atom.c pl-wam.c pl-arith.c pl-bag.c pl-error.c
    pl-comp.c pl-zip.c pl-dwim.c pl-ext.c pl-flag.c
    pl-funct.c pl-gc.c pl-privitf.c pl-list.c pl-string.c
    pl-load.c pl-modul.c pl-op.c pl-prims.c pl-pro.c
    pl-proc.c pl-prof.c pl-read.c pl-rec.c pl-setup.c
    pl-sys.c pl-trace.c pl-util.c pl-wic.c pl-write.c
    pl-term.c pl-thread.c pl-xterm.c pl-srcfile.c
    pl-attvar.c pl-gvar.c pl-btree.c
    pl-init.c pl-gmp.c pl-segstack.c pl-hash.c
    pl-version.c pl-codetable.c pl-supervisor.c
    pl-dbref.c pl-termhash.c pl-variant.c pl-assert.c
    pl-copyterm.c pl-debug.c pl-cont.c pl-ressymbol.c pl-dict.c
    pl-trie.c pl-indirect.c pl-tabling.c pl-rsort.c pl-mutex.c
    pl-allocpool.c pl-wrap.c pl-event.c pl-transaction.c
    pl-undo.c pl-alloc.c pl-index.c pl-fli.c pl-coverage.c)


set(LIBSWIPL_SRC
    ${SRC_CORE}
    ${SRC_OS}
    ${SRC_OS_SPECIFIC}
    ${SRC_TAI}
    ${SRC_BF}
    ${SRC_MINIZIP})
set(SWIPL_SRC pl-main.c)

set(SRC_SWIPL_LD swipl-ld.c)
if(WIN32)
  set(SRC_SWIPL_LD ${SRC_SWIPL_LD} os/windows/uxnt.c)
endif()

set(POSIX_SHELL "/bin/sh" CACHE STRING "Full path to a POSIX compliant shell")

################
# Prolog data files
################

set(SWIPL_DATA_INDEXED_DIRS
    library library/clp library/dcg library/unicode library/lynx)
set(SWIPL_DATA_DIRS
    boot
    ${SWIPL_DATA_INDEXED_DIRS}
    library/dialect library/dialect/swi library/dialect/eclipse
    library/dialect/hprolog library/dialect/sicstus library/dialect/sicstus4 library/dialect/iso
    library/dialect/yap library/dialect/xsb library/theme library/iri_scheme library/build
    demo cmake)

set(SWIPL_DATA_boot init.pl syspred.pl toplevel.pl license.pl bags.pl apply.pl
    expand.pl dcg.pl history.pl attvar.pl packs.pl dwim.pl rc.pl predopts.pl
    autoload.pl qlf.pl topvars.pl messages.pl load.pl dicts.pl gc.pl
    engines.pl iri.pl tabling.pl)
if(WIN32)
  set(SWIPL_DATA_boot ${SWIPL_DATA_boot} menu.pl)
endif()
prepend(SWIPL_BOOT_FILES ${SWIPL_BUILD_HOME}/boot/ ${SWIPL_DATA_boot})

set(SWIPL_DATA_library explain.pl sort.pl prolog_config.pl
    qsave.pl statistics.pl system.pl error.pl
    backcomp.pl gensym.pl listing.pl debug.pl vm.pl
    quintus.pl edinburgh.pl ctypes.pl files.pl modules.pl
    edit.pl shell.pl check.pl heaps.pl console_input.pl
    tty.pl readln.pl readutil.pl make.pl hotfix.pl option.pl
    oset.pl ordsets.pl occurs.pl lists.pl pprint.pl atom.pl
    www_browser.pl url.pl utf8.pl main.pl assoc.pl nb_set.pl
    qpforeign.pl dif.pl when.pl ugraphs.pl streams.pl
    checklast.pl checkselect.pl operators.pl date.pl
    prolog_stack.pl prolog_clause.pl prolog_xref.pl prolog_source.pl
    broadcast.pl pairs.pl base64.pl record.pl rbtrees.pl settings.pl
    dialect.pl apply_macros.pl apply.pl nb_rbtrees.pl
    aggregate.pl pure_input.pl pio.pl terms.pl
    charsio.pl portray_text.pl csv.pl persistency.pl fastrw.pl
    coinduction.pl ansi_term.pl base32.pl prolog_history.pl
    optparse.pl arithmetic.pl writef.pl predicate_options.pl
    random.pl prolog_breakpoints.pl prolog_autoload.pl
    prolog_colour.pl varnumbers.pl codesio.pl prolog_codewalk.pl
    prolog_pack.pl git.pl prolog_metainference.pl quasi_quotations.pl
    sandbox.pl prolog_format.pl prolog_install.pl check_installation.pl
    solution_sequences.pl iostream.pl dicts.pl yall.pl tabling.pl
    lazy_lists.pl prolog_jiti.pl zip.pl obfuscate.pl wfs.pl
    prolog_wrap.pl prolog_trace.pl prolog_code.pl intercept.pl
    prolog_deps.pl tables.pl hashtable.pl strings.pl increval.pl
    prolog_debug.pl prolog_versions.pl)
if(INSTALL_DOCUMENTATION)
  set(SWIPL_DATA_library ${SWIPL_DATA_library} help.pl)
endif()
if(WIN32)
  set(SWIPL_DATA_library ${SWIPL_DATA_library}
      dde.pl win_menu.pl progman.pl)
else()
  has_package(swipl-win HAVE_SWIPL_WIN)
  if(HAVE_SWIPL_WIN)
    set(SWIPL_DATA_library ${SWIPL_DATA_library} win_menu.pl)
  endif()
endif()
if(EMSCRIPTEN)
  set(SWIPL_DATA_library ${SWIPL_DATA_library} wasm.pl dom.pl)
endif()
if(NOT STATIC_EXTENSIONS)
  set(SWIPL_DATA_library ${SWIPL_DATA_library} shlib.pl)
endif()
if(MULTI_THREADED)
  list(APPEND SWIPL_DATA_library threadutil.pl thread.pl thread_pool.pl)
endif()

set(SWIPL_DATA_library_lynx format.pl html_style.pl html_text.pl
    pldoc_style.pl)

set(SWIPL_DATA_library_theme auto.pl dark.pl)

set(SWIPL_DATA_library_iri_scheme file.pl)

set(SWIPL_DATA_library_clp bounds.pl clp_events.pl clp_distinct.pl
    clpfd.pl clpb.pl)
if(USE_GMP OR USE_LIBBF)
  set(SWIPL_DATA_library_clp ${SWIPL_DATA_library_clp} simplex.pl)
endif()

set(SWIPL_DATA_library_dcg basics.pl high_order.pl)

set(SWIPL_DATA_library_unicode blocks.pl unicode_data.pl)

set(SWIPL_DATA_library_dialect bim.pl commons.pl hprolog.pl ifprolog.pl
    sicstus.pl sicstus4.pl yap.pl xsb.pl)

set(SWIPL_DATA_library_dialect_swi syspred_options.pl)
set(SWIPL_DATA_library_dialect_eclipse test_util_iso.pl)
set(SWIPL_DATA_library_dialect_hprolog format.pl)
set(SWIPL_DATA_library_dialect_sicstus arrays.pl block.pl lists.pl ordsets.pl
    README.TXT sockets.pl swipl-lfr.pl system.pl terms.pl timeout.pl)
set(SWIPL_DATA_library_dialect_sicstus4 aggregate.pl between.pl clpfd.pl
    file_systems.pl lists.pl ordsets.pl samsort.pl sets.pl sockets.pl
    system.pl terms.pl timeout.pl types.pl)
set(SWIPL_DATA_library_dialect_iso iso_predicates.pl)
set(SWIPL_DATA_library_dialect_yap README.TXT)
set(SWIPL_DATA_library_dialect_xsb README.md source.pl basics.pl machine.pl
    storage.pl ordsets.pl intern.pl string.pl setof.pl consult.pl
    curr_sym.pl error_handler.pl lists.pl standard.pl gpp.pl gensym.pl)
set(SWIPL_DATA_library_build tools.pl conan.pl cmake.pl make.pl)

if(MULTI_THREADED)
list(APPEND SWIPL_DATA_library_dialect_xsb timed_call.pl thread.pl)
endif()

set(SWIPL_DATA_demo likes.pl README.md)
set(SWIPL_DATA_cmake swipl.cmake)

################
# Custom targets and commands
################

if(NOT PGO_SUFFIX) # Don't define PGO versions of the aux targets (see PGO.cmake)

# build helpers
if(NOT CMAKE_CROSSCOMPILING)
  add_executable(mkvmi mkvmi.c)
  add_executable(defatom defatom.c)
  add_executable(wrap-gcc EXCLUDE_FROM_ALL wrap-gcc.c) #only needed for PGO with GCC
  target_include_directories(mkvmi BEFORE PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
  set(PROG_MKVMI mkvmi)
  set(PROG_DEFATOM defatom)
  set(TARGET_WRAPGCC wrap-gcc)
  set(PROG_WRAPGCC
      ${CMAKE_CURRENT_BINARY_DIR}/wrap-gcc${CMAKE_HOST_EXECUTABLE_SUFFIX})
else()
  set(PROG_MKVMI
      ${CMAKE_CURRENT_BINARY_DIR}/mkvmi${CMAKE_HOST_EXECUTABLE_SUFFIX})
  set(PROG_DEFATOM
      ${CMAKE_CURRENT_BINARY_DIR}/defatom${CMAKE_HOST_EXECUTABLE_SUFFIX})
  set(PROG_WRAPGCC
      ${CMAKE_CURRENT_BINARY_DIR}/wrap-gcc${CMAKE_HOST_EXECUTABLE_SUFFIX})

  add_custom_command(
      OUTPUT  ${PROG_DEFATOM}
      COMMAND ${CMAKE_HOST_CC} -o ${PROG_DEFATOM}
	      ${CMAKE_CURRENT_SOURCE_DIR}/defatom.c
      DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/defatom.c
  )

  add_custom_command(
      OUTPUT  ${PROG_MKVMI}
      COMMAND ${CMAKE_HOST_CC} -I${CMAKE_CURRENT_BINARY_DIR} -o ${PROG_MKVMI}
              ${CMAKE_CURRENT_SOURCE_DIR}/mkvmi.c
      DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/mkvmi.c
  )

  add_custom_command(
      OUTPUT  ${PROG_WRAPGCC}
      COMMAND ${CMAKE_HOST_CC} -o ${PROG_WRAPGCC}
              ${CMAKE_CURRENT_SOURCE_DIR}/wrap-gcc.c
      DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/wrap-gcc.c
  )
  add_custom_target(build-wrap-gcc DEPENDS ${PROG_WRAPGCC})
  set(TARGET_WRAPGCC build-wrap-gcc)
endif()

add_custom_target(
    vmi-metadata
    DEPENDS vmi-metadata.h
)
add_custom_command(
    COMMAND ${PROG_MKVMI} ${CMAKE_CURRENT_SOURCE_DIR}
    OUTPUT vmi-metadata.h
    DEPENDS ${PROG_MKVMI} pl-vmi.c
    COMMENT "Generating VMI metadata into vmi-metadata.h"
    VERBATIM
)

add_custom_target(
    core-constants
    DEPENDS pl-atom.ih pl-funct.ih)

add_custom_command(
    COMMAND ${PROG_DEFATOM} ${CMAKE_CURRENT_SOURCE_DIR}
    OUTPUT pl-atom.ih pl-funct.ih
    DEPENDS ${PROG_DEFATOM} ATOMS
    COMMENT "Generating static atoms and functors"
)


set(USE_GIT_VERSION_H 1)
include(GitVersion)
git_version(GIT_VERSION)
configure_file(version.h.in version.h)

add_custom_command(
    OUTPUT  ${SWIPL_BOOT_FILE}
    COMMAND ${CMAKE_COMMAND} -E remove -f ${SWIPL_BOOT_FILE}
    COMMAND ${PROG_SWIPL_FOR_BOOT} -q -O -o ${SWIPL_BOOT_FILE}
				   -b ${SWIPL_BUILD_HOME}/boot/init.pl
    DEPENDS ${DEP_SWIPL_FOR_BOOT} ${SWIPL_BOOT_FILES}
)
add_custom_target(bootfile DEPENDS ${SWIPL_BOOT_FILE})

add_custom_target(library_index)

library_index(${SWIPL_DATA_INDEXED_DIRS})

add_custom_target(core ALL
    DEPENDS swipl bootfile
)

# Precompile some popular larger libraries to .QLF
set(SWIPL_QLF_BASE ${SWIPL_BUILD_HOME}/library)
add_qcompile_target(prolog_colour)
add_qcompile_target(prolog_xref)

# The C config file
configure_file(config.h.cmake config.h)

# export all O_XYZ variables to be accessible at the top level (i.e. to packages)
get_directory_property(varnames VARIABLES)
# message(STATUS "Exporting config options to top level:")
foreach(varname IN LISTS varnames)
  if(varname MATCHES "^O_")
    # message(STATUS "  ${varname} = ${${varname}}")
    set(${varname} ${${varname}} PARENT_SCOPE)
  endif()
endforeach()
unset(varname)
unset(varnames)

# Configure some data files.  Uses a function because these
# files use old-style variable names and we want to avoid these
# leaking into the cmake environment.
function(config_data_files)
  set(PL swipl)
  set(PLBASE ${CMAKE_INSTALL_PREFIX}/${SWIPL_INSTALL_DIR})
  set(PLVERSION ${SWIPL_VERSION_STRING})
  set(INSTALL_PLARCH ${SWIPL_ARCH})
  set(prefix ${CMAKE_INSTALL_PREFIX})

  configure_file(swipl.1.in swipl.1 @ONLY)
  configure_file(swipl.pc.in swipl.pc @ONLY)
endfunction()

config_data_files()

# Set swipl.home above binaries to a relative path to the root
file(WRITE "${CMAKE_BINARY_DIR}/swipl.home" "home\n")
file(WRITE "${CMAKE_BINARY_DIR}/src/swipl.home" "../home\n")
file(WRITE "${CMAKE_BINARY_DIR}/packages/swipl.home" "../home\n")
symlink_or_copy(${SWIPL_BOOT_ROOT}/build_home.pl ${CMAKE_BINARY_DIR}/home/swipl.rc)
symlink_or_copy(${SWIPL_BOOT_ROOT}/build_home.pl ${CMAKE_BINARY_DIR}/home/swipl-win.rc)

=== src/swipl-devel/packages/pcre/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(swipl-pcre)

include("../cmake/PrologPackage.cmake")

find_package(PCRE)
if(PCRE_FOUND)

  swipl_plugin(
    pcre
    MODULE pcre4pl
    C_SOURCES pcre4pl.c
    C_LIBS ${PCRE_LIBRARIES}
    PL_LIBS pcre.pl)
  target_include_directories(
    plugin_pcre4pl BEFORE PRIVATE
    ${PCRE_INCLUDE_DIR})

  install_dll(${PCRE_LIBRARIES})

  test_libs(pcre)

  pkg_doc(pcre
	SECTION
	SOURCE pcre.pl pcre4pl.tex)

endif(PCRE_FOUND)

=== src/swipl-devel/debian/changelog ===
swi-prolog (7.1.23-1-g2474030-preciseppa2) precise; urgency=medium

  * New upstream release (from GIT)

 -- Jan Wielemaker <jan@swi-prolog.org>  Sat, 20 Sep 2014 22:50:31 +0200

swi-prolog (7.1.23-0-trustyppa2) trusty; urgency=medium

  * New upstream release (from GIT)

 -- Jan Wielemaker <jan@swi-prolog.org>  Sat, 20 Sep 2014 22:50:01 +0200

swi-prolog (7.1.11-5-g9c58b7c-saucyppa2) saucy; urgency=low

  * New upstream release (from GIT)

 -- Jan Wielemaker <ppa@swi-prolog.org>  Thu, 03 Apr 2014 13:43:02 +0200

swi-prolog (6.3.17-1-gef46fe6-raringppa2) raring; urgency=low

  * New upstream release (from GIT)

 -- Jan Wielemaker <jan@swi-prolog.org>  Fri, 14 Jun 2013 19:51:33 +0200

swi-prolog (6.3.17-0-preciseppa2) precise; urgency=low

  * New upstream release (from GIT)

 -- Jan Wielemaker <jan@swi-prolog.org>  Fri, 14 Jun 2013 16:23:36 +0200

swi-prolog (6.3.16-5-ga7018e1-raringppa2) raring; urgency=low

  * New upstream release (from GIT)

 -- Jan Wielemaker <jan@swi-prolog.org>  Sun, 09 Jun 2013 16:36:41 +0200

swi-prolog (6.2.6-1) experimental; urgency=low

  * New upstream release 

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 10 May 2013 22:36:57 +0200

swi-prolog (6.2.5-6) experimental; urgency=low

  * Fix Vcs-* fields in debian/control (closes: #697420, thanks to Salvatore
    Bonaccorso)
  * Remove pthread-flag-detection.diff - it causes segfaults on Hurd,
    probably because of missing -D_REENTRANT
  * New patch:
    - add-pthread.diff - add -pthread compiler/linker flag when adding
      -D_REENTRANT. This is another attempt to fix FTBFS on Hurd.

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 10 May 2013 22:36:37 +0200

swi-prolog (6.2.5-5) experimental; urgency=low

  * New patch:
    - pthread-flag-detection.diff - do not check for -D_REENTRANT when
      checking for -pthread flag support. This does not work on Hurd.
      See also #697133. 
  * Remove patches not in debian/patches/series:
    - 04_fix_hyphens_being_used_as_minus_signs_in_manpages.diff
    - segstack-alignment.diff
    - swi-prolog-mipsel-FTBFS.diff

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 04 Jan 2013 19:25:41 +0100

swi-prolog (6.2.5-4) experimental; urgency=low

  * Build swi-prolog-java additionally on armhf and s390x - they also have
    OpenJDK as default-jdk

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 01 Jan 2013 17:27:51 +0100

swi-prolog (6.2.5-3) experimental; urgency=low

  * Build-depend on junit on platforms that have -java package,
    this should fix testsuite failures

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 01 Jan 2013 04:36:49 +0100

swi-prolog (6.2.5-2) experimental; urgency=low

  * Link libjpl.so from the JNI directory, so Java runtime can find it
    without need to modify LD_LIBRARY_PATH
  * Enable checks for jpl package 
  * New patch:
    - java-test-library-path.diff - set LD_LIBRARY_PATH during jpl check
  * Add README.Debian to swi-prolog-java package that describes
    current problems when using Java with SWI Prolog (see also #690734)

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 01 Jan 2013 02:30:17 +0100

swi-prolog (6.2.5-1) experimental; urgency=low

  * New upstream release

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 30 Dec 2012 17:32:47 +0100

swi-prolog (6.2.3-1) experimental; urgency=low

  * New upstream release
  * Remove patches (applied upstream):
    - upstream-6.2.3-pre.diff
    - distclean-fixes.diff 
    - implicit-declarations.diff
    - VEOL2-check.diff
  * Updated patches:
    - default-stack-size.diff
    - no-rpath.diff 

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 25 Nov 2012 16:05:35 +0100

swi-prolog (6.2.2-17) experimental; urgency=low

  * New patch:
    - no-rpath.diff - do not set rpath during compilation
  * Use dh-autoreconf during the package build
  * Pass --enable-shared to configure again 

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 04 Nov 2012 18:10:07 +0100

swi-prolog (6.2.2-16) experimental; urgency=low

  * Show ulimit settings during build (for thread stack size problem
    debugging).
  * Use swipl.sh wrapper to install prolog packages

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 28 Oct 2012 20:57:30 +0100

swi-prolog (6.2.2-14) experimental; urgency=low

  * Refactor prolog package installation code in debian/rules
  * Pass DISABLE_PKGS to configure instead of --without-* (the last one looks
    broken)
  * Install package clpqr into swi-prolog-nox
  * Install package nlp into swi-prolog-nox and run checks for it
  * Install package ssl into swi-prolog-nox
    - build-depend on libssl-dev for it
  * Install package zlib into swi-prolog-nox and run checks for it
    - build-depend on zlib1g-dev
  * Install package R into swi-prolog-nox
  * Install package protobufs into swi-prolog-nox and run checks for it
  * Install package PDT into swi-prolog-nox
  * Install package utf8proc into swi-prolog-nox
  * Add -DMAXPATHLEN=1024 to CPPFLAGS on Hurd (propert fix should be
    implemented later)

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 12 Oct 2012 00:03:53 +0200

swi-prolog (6.2.2-13) experimental; urgency=low

  * Update upstream-6.2.3-pre.diff to commit
    8bb9e550c1a1937be46b9d552afef3c304284466
    - building on hurd should go further
  * New patch:
    - default-stack-size.diff - do not try to set stack size to maximum stack
      size, hopefully fixes FTBFS on mips(el) and kfreebsd-*.

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 10 Oct 2012 22:37:26 +0200

swi-prolog (6.2.2-12) experimental; urgency=low

  * Update upstream-6.2.3-pre.diff to commit
    c8dbddfc2b28a906d7d5539e6fd5d44d1e76b466
    - this should fix build on Hurd
  * New patch:
    - implicit-declarations.diff - fix some implicit function declarations on
      kfreebsd and hurd
    - pkg-config.diff - adjust the .pc file
  * Build-depend on default-jdk instead of openjdk-6-jdk, and make -java
    package depend on default-jre-headless istead of openjdk-6-jre-headless
    (closes: #684310)


=== src/swipl-devel/debian/control ===
Source: swi-prolog
Section: interpreters
Priority: optional
Maintainer: Jan Wielemaker <jan@swi-prolog.org>
Build-Depends:
 cmake,
 debhelper,
 ncurses-dev,
 libreadline-dev,
 libedit-dev,
 libgmp-dev,
 libjpeg8-dev,
 libx11-dev,
 libxpm-dev,
 libxt-dev,
 x11proto-core-dev,
 unixodbc-dev,
 default-jdk [alpha amd64 armel armhf i386 ia64 mips mipsel powerpc s390 s390x sparc],
 junit [alpha amd64 armel armhf i386 ia64 mips mipsel powerpc s390 s390x sparc],
 libxft-dev,
 libxext-dev,
 libice-dev,
 libxinerama-dev,
 dctrl-tools,
 libarchive-dev,
 libssl-dev,
 zlib1g-dev,
 libunwind-dev | libunwind8-dev | libunwind7-dev,
 libossp-uuid-dev,
 libdb-dev,
 libpcre2-dev,
 libyaml-dev,
 libjs-jquery,
 dh-autoreconf
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/git/collab-maint/swi-prolog.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/swi-prolog.git
Homepage: http://www.swi-prolog.org

Package: swi-prolog
Architecture: any
Depends: ${misc:Depends}, swi-prolog-nox (= ${binary:Version}), swi-prolog-x (= ${binary:Version})
Suggests: prolog-el
Description: ISO/Edinburgh-style Prolog interpreter
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .
 SWI-Prolog additionally offers:
 .
  * A powerful module system
  * Garbage collection
  * Unicode character set handling
  * Unbounted integer and rational number arithmetic
  * Multithreading support
  * A powerful C/C++ interface
  * GNU Readline interface

Package: swi-prolog-nox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgmp-dev, libedit-dev, libreadline-dev, libncursesw5-dev, libjs-jquery
Breaks: swi-prolog (<< 5.8.2-1)
Suggests: prolog-el
Description: ISO/Edinburgh-style Prolog interpreter (without X support)
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .
 SWI-Prolog additionally offers:
 .
  * A powerful module system
  * Garbage collection
  * Unicode character set handling
  * Unbounted integer and rational number arithmetic
  * Multithreading support
  * A powerful C/C++ interface
  * GNU Readline interface
 .
 This package contains a working SWI-Prolog installation with GUI components.

Package: swi-prolog-x
Architecture: any
Depends: ${shlibs:Depends}, swi-prolog-nox (= ${binary:Version}), ${misc:Depends}
Description: User interface library for SWI-Prolog (with X support)
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .
 SWI-Prolog additionally offers:
 .
  * A powerful module system
  * Garbage collection
  * Unicode character set handling
  * Unbounted integer and rational number arithmetic
  * Multithreading support
  * A powerful C/C++ interface
  * GNU Readline interface
 .
 XPCE is an object-oriented symbolic programming environment for user
 interfaces. Although XPCE was designed to be language-independent, it has
 gained popularity most with Prolog.

Package: swi-prolog-java
Architecture: alpha amd64 armel armhf i386 ia64 mips mipsel powerpc s390 s390x sparc
Depends: ${shlibs:Depends}, swi-prolog-nox (= ${binary:Version}), ${misc:Depends}, default-jre-headless | java2-runtime
Description: Bidirectional interface between SWI-Prolog and Java
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .
 SWI-Prolog additionally offers:
 .
  * A powerful module system
  * Garbage collection
  * Unicode character set handling
  * Unbounted integer and rational number arithmetic
  * Multithreading support
  * A powerful C/C++ interface
  * GNU Readline interface
 .
 This library provides JPL, a bidirectional interface between SWI-Prolog and
 the Java 2 runtime.

Package: swi-prolog-odbc
Architecture: any
Depends: ${shlibs:Depends}, swi-prolog-nox (= ${binary:Version}), ${misc:Depends}
Description: ODBC library for SWI-Prolog
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .
 SWI-Prolog additionally offers:
 .
  * A powerful module system
  * Garbage collection
  * Unicode character set handling
  * Unbounted integer and rational number arithmetic
  * Multithreading support
  * A powerful C/C++ interface
  * GNU Readline interface
 .
 This package provides a foreign language extension to ODBC, a standard for
 interfacing with database systems.

Package: swi-prolog-bdb
Architecture: any
Depends: ${shlibs:Depends}, swi-prolog-nox (= ${binary:Version}), ${misc:Depends}
Description: Berkeley DB interface for SWI-Prolog
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .
 SWI-Prolog additionally offers:
 .
  * A powerful module system
  * Garbage collection
  * Unicode character set handling
  * Unbounted integer and rational number arithmetic
  * Multithreading support
  * A powerful C/C++ interface
  * GNU Readline interface
 .
 This package provides a foreign language extension to the Berkeley DB
 (libdb) embedded database.

## rswipl 9.1.6

=== DESCRIPTION ===
Package: rswipl
Type: Package
Title: Embed 'SWI'-'Prolog'
Version: 9.1.6
Date: 2023-02-19
Authors@R: c(person("Matthias", "Gondan", role = c("aut", "com", "cre"), email = "Matthias.Gondan-Rochon@uibk.ac.at", comment = "Universität Innsbruck"),
  person("Jan", "Wielemaker", role = c("ctb", "cph"), email = "jan@swi-prolog.org", comment = "JW is the lead developer of SWI-Prolog. See https://www.swi-prolog.org/Contributors.html for a list of contributors."),
  person("European Commission", role="fnd", comment="Erasmus+ Programme, 2019-1-EE01-KA203-051708"))
Maintainer: Matthias Gondan <Matthias.Gondan-Rochon@uibk.ac.at>
Description: Interface to 'SWI'-'Prolog', <https://www.swi-prolog.org/>. This package is normally not loaded directly, please refer to package 'rolog' instead. The purpose of this package is to provide the 'Prolog' runtime on systems that do not have a software installation of 'SWI'-'Prolog'.
License: FreeBSD
Imports: Rcpp (>= 1.0.7)
Depends: R (>= 4.2)
URL: https://github.com/mgondan/rswipl
BugReports: https://github.com/mgondan/rswipl/issues
LinkingTo: Rcpp
RoxygenNote: 7.2.1
Encoding: UTF-8
SystemRequirements: GNU make, CMake (>= 3.10), pandoc, libarchive,
        libregex, libexpat, liblzma, libzstd, liblz4, libz2, libz,
        libbcrypt
Suggests: testthat (>= 3.0.0)
Config/testthat/edition: 3
NeedsCompilation: yes
Packaged: 2023-02-20 09:07:39 UTC; matthias
Author: Matthias Gondan [aut, com, cre] (Universität Innsbruck),
  Jan Wielemaker [ctb, cph] (JW is the lead developer of SWI-Prolog. See
    https://www.swi-prolog.org/Contributors.html for a list of
    contributors.),
  European Commission [fnd] (Erasmus+ Programme,
    2019-1-EE01-KA203-051708)
Repository: CRAN
Date/Publication: 2023-02-20 10:50:02 UTC

=== src/swipl-devel/src/CMakeLists.txt ===
--- 
+++ 
@@ -174,6 +174,9 @@
 if(MULTI_THREADED)
   list(APPEND SWIPL_DATA_library threadutil.pl thread.pl thread_pool.pl)
 endif()
+if(O_PROFILE)
+  list(APPEND SWIPL_DATA_library prolog_profile.pl)
+endif()
 
 set(SWIPL_DATA_library_lynx format.pl html_style.pl html_text.pl
     pldoc_style.pl)
@@ -353,4 +356,3 @@
 file(WRITE "${CMAKE_BINARY_DIR}/src/swipl.home" "../home\n")
 file(WRITE "${CMAKE_BINARY_DIR}/packages/swipl.home" "../home\n")
 symlink_or_copy(${SWIPL_BOOT_ROOT}/build_home.pl ${CMAKE_BINARY_DIR}/home/swipl.rc)
-symlink_or_copy(${SWIPL_BOOT_ROOT}/build_home.pl ${CMAKE_BINARY_DIR}/home/swipl-win.rc)

## rswipl 9.1.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: rswipl
 Type: Package
 Title: Embed 'SWI'-'Prolog'
-Version: 9.1.6
-Date: 2023-02-19
+Version: 9.1.7
+Date: 2023-03-19
 Authors@R: c(person("Matthias", "Gondan", role = c("aut", "com", "cre"), email = "Matthias.Gondan-Rochon@uibk.ac.at", comment = "Universität Innsbruck"),
   person("Jan", "Wielemaker", role = c("ctb", "cph"), email = "jan@swi-prolog.org", comment = "JW is the lead developer of SWI-Prolog. See https://www.swi-prolog.org/Contributors.html for a list of contributors."),
   person("European Commission", role="fnd", comment="Erasmus+ Programme, 2019-1-EE01-KA203-051708"))
@@ -22,7 +22,7 @@
 Suggests: testthat (>= 3.0.0)
 Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2023-02-20 09:07:39 UTC; matthias
+Packaged: 2023-03-19 11:12:26 UTC; matthias
 Author: Matthias Gondan [aut, com, cre] (Universität Innsbruck),
   Jan Wielemaker [ctb, cph] (JW is the lead developer of SWI-Prolog. See
     https://www.swi-prolog.org/Contributors.html for a list of
@@ -30,4 +30,4 @@
   European Commission [fnd] (Erasmus+ Programme,
     2019-1-EE01-KA203-051708)
 Repository: CRAN
-Date/Publication: 2023-02-20 10:50:02 UTC
+Date/Publication: 2023-03-19 21:00:02 UTC

## rswipl 9.1.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: rswipl
 Type: Package
 Title: Embed 'SWI'-'Prolog'
-Version: 9.1.7
-Date: 2023-03-19
+Version: 9.1.8
+Date: 2023-03-23
 Authors@R: c(person("Matthias", "Gondan", role = c("aut", "com", "cre"), email = "Matthias.Gondan-Rochon@uibk.ac.at", comment = "Universität Innsbruck"),
   person("Jan", "Wielemaker", role = c("ctb", "cph"), email = "jan@swi-prolog.org", comment = "JW is the lead developer of SWI-Prolog. See https://www.swi-prolog.org/Contributors.html for a list of contributors."),
   person("European Commission", role="fnd", comment="Erasmus+ Programme, 2019-1-EE01-KA203-051708"))
@@ -22,7 +22,7 @@
 Suggests: testthat (>= 3.0.0)
 Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2023-03-19 11:12:26 UTC; matthias
+Packaged: 2023-03-23 13:37:49 UTC; gondan
 Author: Matthias Gondan [aut, com, cre] (Universität Innsbruck),
   Jan Wielemaker [ctb, cph] (JW is the lead developer of SWI-Prolog. See
     https://www.swi-prolog.org/Contributors.html for a list of
@@ -30,4 +30,4 @@
   European Commission [fnd] (Erasmus+ Programme,
     2019-1-EE01-KA203-051708)
 Repository: CRAN
-Date/Publication: 2023-03-19 21:00:02 UTC
+Date/Publication: 2023-03-24 13:40:02 UTC

=== src/swipl-devel/CMakeLists.txt ===
set(CMAKE_POLICY_DEFAULT_CMP0074 NEW)
set(CMAKE_POLICY_DEFAULT_CMP0075 NEW)
set(CMAKE_POLICY_DEFAULT_CMP0079 NEW)

cmake_minimum_required(VERSION 3.5)
project(SWI-Prolog)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

option(MULTI_THREADED
       "Enable multiple Prolog threads"
       ON)
option(ENGINES
       "Enable multiple Prolog engines"
       OFF)
option(VMI_FUNCTIONS
       "Create a function for each VM instruction"
       OFF)
option(USE_SIGNALS
       "Enable signal handling"
       ON)
option(USE_GMP
       "Use GNU MP Bignum library (LGPL)"
       ON)
if(USE_GMP)
  set(DEFAULT_USE_LIBBF OFF)
else()
  set(DEFAULT_USE_LIBBF ON)
endif()
option(USE_LIBBF
       "Use LibBF for bignums (MIT)"
       ${DEFAULT_USE_LIBBF})
if(USE_GMP AND USE_LIBBF)
  message(WARNING "Cannot use both libGMP and LibBF; using LibBF")
  set(USE_GMP OFF)
endif()
if(APPLE)
# tcmalloc breaks setlocale() on MacOS 12 (Monterey)
option(USE_TCMALLOC
       "Use Google tcmalloc instead of default malloc"
       OFF)
else()
option(USE_TCMALLOC
       "Use Google tcmalloc instead of default malloc"
       ON)
endif()
option(SWIPL_SHARED_LIB
       "Put kernel in a shared library"
       ON)
option(SWIPL_VERSIONED_DIR
       "Install into a versioned directory"
       OFF)
option(SWIPL_INSTALL_IN_LIB
       "Install library in ${CMAKE_INSTALL_PREFIX}/lib"
       OFF)
option(SWIPL_INSTALL_IN_SHARE
       "Install docs in ${CMAKE_INSTALL_PREFIX}/share/swipl"
       OFF)
option(SWIPL_M32
       "Build 32-bit version on 64-bit Linux using multilib and gcc -m32"
       OFF)
option(INSTALL_DOCUMENTATION
       "Install the HTML documentation files"
       ON)
option(BUILD_PDF_DOCUMENTATION
       "Build the PDF manuals from source"
       OFF)
option(MACOS_UNIVERSAL_BINARY
       "Build a universal binary for x86_64 and arm64"
       OFF)
option(BUILD_MACOS_BUNDLE
       "Install for a MacOS bundle (SWI-Prolog.app)"
       OFF)
option(BUILD_TESTING
       "Build test files and setup for ctest"
       ON)
option(SKIP_SSL_TESTS
       "Skip the SSL tests"
       OFF)
option(TEST_PROTOBUFS_PROTOC
       "Run protobuf tests that require protoc, etc."
       OFF)
option(BUILD_SWIPL_LD
       "Create the swipl-ld utility"
       ON)
option(INSTALL_TESTS
       "Install script and files needed to run tests of the final installation"
       OFF)
option(GCOV
       "Compile for coverage analysis using gcov (gcc)"
       OFF)
option(STATIC_EXTENSIONS
       "Add foreign extensions statically"
       OFF)

set(JNIDIR ""
    CACHE STRING "Directory for linking Java JNI components")

if(NOT SWIPL_SHARED_LIB)
  set(CMAKE_ENABLE_EXPORTS ON)
endif()

include(Utils)
include(BuildType)
include(Version)
include(PGO)
include(Ports)
include(Locations)
include(InstallSource)
include(QLF)
include(PackageSelection)
include(Dependencies)
include(DocDepends)

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set_install_prefix()
  message("-- Using install prefix \"${CMAKE_INSTALL_PREFIX}\"")
endif()

# Verbosity
set(CMAKE_INSTALL_MESSAGE NEVER)

################
# Installation directories

if(WIN32 AND NOT MSYS2)

  set(SWIPL_INSTALL_DIR "."
      CACHE STRING "Directory below <prefix> for installation")
  set(SWIPL_INSTALL_PREFIX   ${SWIPL_INSTALL_DIR})
  set(SWIPL_INSTALL_ARCH_EXE ${SWIPL_INSTALL_PREFIX}/bin)
  set(SWIPL_INSTALL_ARCH_LIB ${SWIPL_INSTALL_PREFIX}/bin)
  set(SWIPL_INSTALL_MODULES  ${SWIPL_INSTALL_PREFIX}/bin)
  # Place all .exe and .dll in one directory
  set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src)
  set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src)
  set(SWIPL_TMP_DIR "c:/tmp" CACHE STRING
      "Directory to be used if the environment variable TEMP is not set")

else()

  if(SWIPL_VERSIONED_DIR)
    set(SWIPL_INSTALL_DIR_DEF  swipl-${SWIPL_VERSION_STRING})
  else()
    set(SWIPL_INSTALL_DIR_DEF  swipl)
  endif()

  set(SWIPL_INSTALL_DIR ${SWIPL_INSTALL_DIR_DEF}
      CACHE STRING "Directory below <prefix> for installation")
  set(SWIPL_TMP_DIR "/tmp" CACHE STRING
      "Directory to be used if the environment variable TMP is not set")

  if(BUILD_MACOS_BUNDLE)
    set(SWIPL_INSTALL_PREFIX    SWI-Prolog.app/Contents/swipl)
    set(SWIPL_INSTALL_ARCH_EXE  SWI-Prolog.app/Contents/MacOS)
    set(SWIPL_INSTALL_ARCH_LIB  SWI-Prolog.app/Contents/Frameworks)
    set(SWIPL_INSTALL_MANPAGES  SWI-Prolog.app/Contents/man)
    set(SWIPL_INSTALL_PKGCONFIG SWI-Prolog.app/Contents/pkgconfig)
    set(SWIPL_INSTALL_RESOURCES SWI-Prolog.app/Contents/Resources)
  else()
    set(SWIPL_INSTALL_PREFIX   lib/${SWIPL_INSTALL_DIR})
    if(SWIPL_INSTALL_IN_SHARE)
      set(SWIPL_INSTALL_SHARE_PREFIX share/${SWIPL_INSTALL_DIR})
    endif()
    set(SWIPL_INSTALL_ARCH_EXE ${SWIPL_INSTALL_PREFIX}/bin/${SWIPL_ARCH})
    set(SWIPL_INSTALL_ARCH_LIB ${SWIPL_INSTALL_PREFIX}/lib/${SWIPL_ARCH})
    set(SWIPL_INSTALL_MANPAGES share/man/man1
        CACHE STRING "Directory for man pages")
    set(SWIPL_INSTALL_PKGCONFIG share/pkgconfig
        CACHE STRING "Directory for pkg-config pages")
  endif()

  set(SWIPL_INSTALL_MODULES  ${SWIPL_INSTALL_PREFIX}/lib/${SWIPL_ARCH})

endif()

set(SWIPL_CMAKE_NAMESPACE swipl::)
set(SWIPL_INSTALL_CMAKE_CONFIG_DIR lib/cmake/swipl)

if(NOT SWIPL_INSTALL_SHARE_PREFIX)
  set(SWIPL_INSTALL_SHARE_PREFIX "${SWIPL_INSTALL_PREFIX}")
endif()

set(SWIPL_BOOT_BASE        "boot.prc")
set(SWIPL_BOOT_FILE        "${CMAKE_BINARY_DIR}/home/${SWIPL_BOOT_BASE}")
set(SWIPL_INSTALL_LIBRARY  ${SWIPL_INSTALL_PREFIX}/library)
set(SWIPL_INSTALL_BOOT     ${SWIPL_INSTALL_PREFIX}/boot)
set(SWIPL_INSTALL_INCLUDE  ${SWIPL_INSTALL_PREFIX}/include)
set(SWIPL_INSTALL_DOC	   ${SWIPL_INSTALL_SHARE_PREFIX}/doc)
if(INSTALL_TESTS)
   set(INSTALL_TESTS_DIR   ${SWIPL_INSTALL_PREFIX}/test)
endif()

if(NOT SWIPL_PKG_NAME)
  if(SWIPL_INSTALL_DIR STREQUAL "swi-prolog")
    set(SWIPL_PKG_NAME ${SWIPL_INSTALL_DIR})
  else()
    set(SWIPL_PKG_NAME "swipl")
  endif()
endif()

if(MSVC)
  add_compile_options(/W3)
else()
  add_compile_options(-Wall)
endif()

# on ARM, backtrace() requires -funwind-tables. See
# https://stackoverflow.com/questions/24700150/on-raspberry-pi-backtrace-returns-0-frames
# We must do this at the toplevel to ensure all packages use this as well.
if(CMAKE_COMPILER_IS_GNUCC AND CMAKE_SYSTEM_PROCESSOR MATCHES "arm")
  include(CheckFunctionExists)
  check_function_exists(backtrace HAVE_BACKTRACE)
  if(HAVE_BACKTRACE)
    add_compile_options(-funwind-tables)
  endif()
endif()

if(MACOS_UNIVERSAL_BINARY)
# Does not work!?  Now uses CFLAGS=-arcg x86_64 on M1.  See scripts/make-distribution
# add_compile_options("SHELL:-arch x86_64" "SHELL:-arch arm64")
endif()

if(SWIPL_M32)
  include(cross/linux_i386)
endif()

if(BUILD_TESTING)
  enable_testing()
endif()

# Configuration we need everywhere
if(MULTI_THREADED)
  set(THREADS_PREFER_PTHREAD_FLAG TRUE)
  find_package(Threads)
endif()

include(TestLargeFiles)
OPJ_TEST_LARGE_FILES(HAVE_LARGE_FILES)

set(CMAKE_INSTALL_DEFAULT_COMPONENT_NAME "Core_system")

# Add the core Prolog system
add_subdirectory(src)
install(FILES LICENSE README.md DESTINATION ${SWIPL_INSTALL_PREFIX})
install(FILES customize/edit customize/init.pl customize/README.md
	DESTINATION ${SWIPL_INSTALL_PREFIX}/customize)

if(INSTALL_DOCUMENTATION)
  include(Documentation)
  set(CMAKE_INSTALL_DEFAULT_COMPONENT_NAME Documentation)

  add_custom_target(
      doc ALL
      COMMENT "Build the documentation")

  add_custom_target(
      doc.html
      COMMENT "Build HTML documentation")

  add_dependencies(doc doc.html)

  add_custom_command(
      OUTPUT ${MAN_INDEX}
      COMMAND ${PROG_SWIPL} -f none --no-packs --home=${SWIPL_BUILD_HOME}
			    -g "use_module(library(prolog_install))"
	                    -g cmake_save_man_index -t halt
      DEPENDS swipl core doc.html
      VERBATIM)
  add_custom_target(
      man_index
      DEPENDS ${MAN_INDEX})
  add_dependencies(doc man_index)
  install(FILES ${MAN_INDEX} DESTINATION ${SWIPL_INSTALL_DOC})

  if(BUILD_PDF_DOCUMENTATION)
    add_custom_target(
	doc.pdf
	COMMENT "Build PDF documentation")
    add_dependencies(doc doc.pdf)
  endif()

  add_subdirectory(man)
  install(FILES packages/index.html
	  DESTINATION ${SWIPL_INSTALL_DOC}/packages)
endif(INSTALL_DOCUMENTATION)

# Install a prolog script to run tests on target device
# in which ctest is not available
if(INSTALL_TESTS)
  set(INSTALL_TESTS_DIR ${SWIPL_INSTALL_PREFIX}/test)
  set(PKGS_SRC_DIR ${CMAKE_CURRENT_SOURCE_DIR}/packages)
  set(INSTALL_TESTS_DB ${CMAKE_BINARY_DIR}/cmake_pkg_tests.db)
  #Move test db to installation
  install(FILES       ${INSTALL_TESTS_DB}
	  DESTINATION ${INSTALL_TESTS_DIR}
	  COMPONENT   Tests)
  file(REMOVE ${INSTALL_TESTS_DB})
endif(INSTALL_TESTS)

# Add the packages
if(STATIC_EXTENSIONS)
  set_property(GLOBAL PROPERTY static_extension_libs)
endif()
foreach(package ${SWIPL_PACKAGE_LIST})
  swipl_package_component(${package}
			  CMAKE_INSTALL_DEFAULT_COMPONENT_NAME)
  add_subdirectory(packages/${package})
endforeach(package)
if(STATIC_EXTENSIONS)
  get_property(extlibs GLOBAL PROPERTY static_extension_libs)
  include(StaticPackages)
  write_static_extensions(${CMAKE_BINARY_DIR}/src/static_packages.h ${extlibs})
endif()

# Check for environment variables that may cause the build to fail
include(CheckEnv)

# Packaging
include(Pack)

## rswipl 9.1.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: rswipl
 Type: Package
 Title: Embed 'SWI'-'Prolog'
-Version: 9.1.8
-Date: 2023-03-23
+Version: 9.1.9
+Date: 2023-04-29
 Authors@R: c(person("Matthias", "Gondan", role = c("aut", "com", "cre"), email = "Matthias.Gondan-Rochon@uibk.ac.at", comment = "Universität Innsbruck"),
   person("Jan", "Wielemaker", role = c("ctb", "cph"), email = "jan@swi-prolog.org", comment = "JW is the lead developer of SWI-Prolog. See https://www.swi-prolog.org/Contributors.html for a list of contributors."),
   person("European Commission", role="fnd", comment="Erasmus+ Programme, 2019-1-EE01-KA203-051708"))
@@ -22,7 +22,7 @@
 Suggests: testthat (>= 3.0.0)
 Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2023-03-23 13:37:49 UTC; gondan
+Packaged: 2023-04-30 16:16:56 UTC; matthias
 Author: Matthias Gondan [aut, com, cre] (Universität Innsbruck),
   Jan Wielemaker [ctb, cph] (JW is the lead developer of SWI-Prolog. See
     https://www.swi-prolog.org/Contributors.html for a list of
@@ -30,4 +30,4 @@
   European Commission [fnd] (Erasmus+ Programme,
     2019-1-EE01-KA203-051708)
 Repository: CRAN
-Date/Publication: 2023-03-24 13:40:02 UTC
+Date/Publication: 2023-05-04 11:00:02 UTC

=== src/swipl-devel/CMakeLists.txt ===
--- 
+++ 
@@ -99,6 +99,8 @@
 if(NOT SWIPL_SHARED_LIB)
   set(CMAKE_ENABLE_EXPORTS ON)
 endif()
+
+set(CMAKE_C_STANDARD 11)
 
 include(Utils)
 include(BuildType)

## rswipl 9.1.11

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: rswipl
 Type: Package
 Title: Embed 'SWI'-'Prolog'
-Version: 9.1.9
-Date: 2023-04-29
+Version: 9.1.11
+Date: 2023-07-04
 Authors@R: c(person("Matthias", "Gondan", role = c("aut", "com", "cre"), email = "Matthias.Gondan-Rochon@uibk.ac.at", comment = "Universität Innsbruck"),
   person("Jan", "Wielemaker", role = c("ctb", "cph"), email = "jan@swi-prolog.org", comment = "JW is the lead developer of SWI-Prolog. See https://www.swi-prolog.org/Contributors.html for a list of contributors."),
   person("European Commission", role="fnd", comment="Erasmus+ Programme, 2019-1-EE01-KA203-051708"))
@@ -22,7 +22,7 @@
 Suggests: testthat (>= 3.0.0)
 Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2023-04-30 16:16:56 UTC; matthias
+Packaged: 2023-07-04 10:39:07 UTC; gondan
 Author: Matthias Gondan [aut, com, cre] (Universität Innsbruck),
   Jan Wielemaker [ctb, cph] (JW is the lead developer of SWI-Prolog. See
     https://www.swi-prolog.org/Contributors.html for a list of
@@ -30,4 +30,4 @@
   European Commission [fnd] (Erasmus+ Programme,
     2019-1-EE01-KA203-051708)
 Repository: CRAN
-Date/Publication: 2023-05-04 11:00:02 UTC
+Date/Publication: 2023-07-06 00:10:38 UTC
